org.eclnt.jsfserver.elements.componentnodes

## Class UI5_ACCORDIONSECTIONNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.UI5_ACCORDIONSECTIONNode

- All Implemented Interfaces:
    java.io.Serializable

      public class UI5_ACCORDIONSECTIONNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UI5_ACCORDIONSECTIONNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `UI5_ACCORDIONSECTIONNode` | `bindActionListener(IActionListenerDelegation value)`
    `UI5_ACCORDIONSECTIONNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `UI5_ACCORDIONSECTIONNode` | `bindCollapsed(IDynamicContentBindingObject value)`
    `UI5_ACCORDIONSECTIONNode` | `bindComment(IDynamicContentBindingObject value)`
    `UI5_ACCORDIONSECTIONNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `UI5_ACCORDIONSECTIONNode` | `bindEnabled(IDynamicContentBindingObject value)`
    `UI5_ACCORDIONSECTIONNode` | `bindMaxheight(IDynamicContentBindingObject value)`
    `UI5_ACCORDIONSECTIONNode` | `bindRendered(IDynamicContentBindingObject value)`
    `UI5_ACCORDIONSECTIONNode` | `bindStyleseq(IDynamicContentBindingObject value)`
    `UI5_ACCORDIONSECTIONNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `UI5_ACCORDIONSECTIONNode` | `bindTitle(IDynamicContentBindingObject value)`
    `UI5_ACCORDIONSECTIONNode` | `setActionListener(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setAdapterbinding(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setAttributemacro(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setCollapsed(boolean value)`
    `UI5_ACCORDIONSECTIONNode` | `setCollapsed(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setComment(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setConfiginfo(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setEnabled(boolean value)`
    `UI5_ACCORDIONSECTIONNode` | `setEnabled(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setId(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setMaxheight(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setReference(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setRendered(boolean value)`
    `UI5_ACCORDIONSECTIONNode` | `setRendered(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setStyleseq(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setStylevariant(java.lang.String value)`
    `UI5_ACCORDIONSECTIONNode` | `setTitle(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UI5_ACCORDIONSECTIONNode

          public UI5_ACCORDIONSECTIONNode()

  - ### Method Detail

    - #### setId

          public UI5_ACCORDIONSECTIONNode setId(java.lang.String value)

    - #### setActionListener

          public UI5_ACCORDIONSECTIONNode setActionListener(java.lang.String value)

    - #### bindActionListener

          public UI5_ACCORDIONSECTIONNode bindActionListener(IActionListenerDelegation value)

    - #### setAdapterbinding

          public UI5_ACCORDIONSECTIONNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public UI5_ACCORDIONSECTIONNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public UI5_ACCORDIONSECTIONNode setAttributemacro(java.lang.String value)

    - #### setCollapsed

          public UI5_ACCORDIONSECTIONNode setCollapsed(java.lang.String value)

    - #### bindCollapsed

          public UI5_ACCORDIONSECTIONNode bindCollapsed(IDynamicContentBindingObject value)

    - #### setCollapsed

          public UI5_ACCORDIONSECTIONNode setCollapsed(boolean value)

    - #### setComment

          public UI5_ACCORDIONSECTIONNode setComment(java.lang.String value)

    - #### bindComment

          public UI5_ACCORDIONSECTIONNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public UI5_ACCORDIONSECTIONNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public UI5_ACCORDIONSECTIONNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5_ACCORDIONSECTIONNode setEnabled(java.lang.String value)

    - #### bindEnabled

          public UI5_ACCORDIONSECTIONNode bindEnabled(IDynamicContentBindingObject value)

    - #### setEnabled

          public UI5_ACCORDIONSECTIONNode setEnabled(boolean value)

    - #### setMaxheight

          public UI5_ACCORDIONSECTIONNode setMaxheight(java.lang.String value)

    - #### bindMaxheight

          public UI5_ACCORDIONSECTIONNode bindMaxheight(IDynamicContentBindingObject value)

    - #### setReference

          public UI5_ACCORDIONSECTIONNode setReference(java.lang.String value)

    - #### setRendered

          public UI5_ACCORDIONSECTIONNode setRendered(java.lang.String value)

    - #### bindRendered

          public UI5_ACCORDIONSECTIONNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public UI5_ACCORDIONSECTIONNode setRendered(boolean value)

    - #### setStyleseq

          public UI5_ACCORDIONSECTIONNode setStyleseq(java.lang.String value)

    - #### bindStyleseq

          public UI5_ACCORDIONSECTIONNode bindStyleseq(IDynamicContentBindingObject value)

    - #### setStylevariant

          public UI5_ACCORDIONSECTIONNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public UI5_ACCORDIONSECTIONNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTitle

          public UI5_ACCORDIONSECTIONNode setTitle(java.lang.String value)

    - #### bindTitle

          public UI5_ACCORDIONSECTIONNode bindTitle(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.